Groups
Cette page n'est pas disponible en français. La version anglaise est affichée.
Get Groups
Authorization
appToken readAuthorizationBearer <token>
App access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.
In: header
Scope: read
Query Parameters
limit?integer
Default
20offset?integer
Default
0filter[name]?string
Partial, case-insensitive match on the name.
filter[paymentCurrencyCode]?string
Keep only groups paid out in this currency
filter[paymentInterval]?string
Exact match on the payment interval.
Value in
- "unspecified"
- "PT1H"
- "P1D"
- "P1W"
- "P1M"
filter[registration]?string
Exact match on the registration type.
Value in
- "auto"
- "inherited"
- "private"
- "public"
- "restricted"
filter[restrictionId]?string
Comma-separated restriction identifiers.
filter[uuid]?string
Exact match on the UUID.
sort_by?string
Value in
- "createTime"
- "groupId"
- "id"
- "name"
- "registration"
- "updateTime"
sort_order?string
Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/groups"{ "total": 0, "groups": [ { "groupId": "string", "name": "string", "formula": "string", "levels": [ { "levelId": "string", "groupId": "string", "level": 0, "formulaValue": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "uuid": "string" } ], "tiers": [ { "tierId": "string", "groupId": "string", "name": "string", "ratio": "string", "users": 0, "volume": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "uuid": "string" } ], "dealLevelCommission": false, "selfRebate": false, "selfRebateRatio": "100", "registration": "auto", "restrictionId": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "uuid": "string", "verification": true, "approvalPolicy": { "mode": "nobody", "countries": [ "string" ] } } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}